Debian Bug report logs - #76438
Installation of perl-5.6 may trash /usr/bin/perl link at a bad time

Package: perl-5.6-base; Maintainer for perl-5.6-base is (unknown);

Reported by: Branden Robinson <branden@deadbeast.net>

Date: Tue, 7 Nov 2000 01:48:06 UTC

Severity: critical

Tags: patch

Merged with 76432, 78723, 78832, 79238, 79694, 80143, 85021

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@lsi.nec.co.jp>:
New Bug report received and forwarded. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@lsi.nec.co.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Installation of perl-5.6 may trash /usr/bin/perl link at a bad time
Date: Tue, 07 Nov 2000 10:43:05 +0900
Package: perl-5.6
Version: 5.6.0-1
Severity: critical


While updating my debian system this morning, perl-5.6 was installed,
and during its installation, everything started breaking horribly.  The
cause, as it turned out, was that /usr/bin/perl was missing; I suspect
that perl-5.6 trashed it while trying to update it.

Here are the lines from the session where it broke:

   Setting up perl-5.6-doc (5.6.0-1) ...
   /var/lib/dpkg/info/perl-5.6-doc.postinst: /usr/sbin/install-docs: No such file or directory
   dpkg: error processing perl-5.6-doc (--configure):
    subprocess post-installation script returned error exit status 1

Subsequently all sort of dpkg-related commands started dying with the same error.

Of course, `/usr/sbin/install-docs' *did* exist, but it's a script
beginning with `#!/usr/bin/perl', and /usr/bin/perl didn't exist.

Doing `ln -s /usr/bin/perl-5.005 /usr/bin/perl' and retrying the upgrade
succeeded.  [but should I now change it to point to `/usr/bin/perl-5.6'?]

-Miles


-- System Information
Debian Release: woody
Architecture: i386
Kernel: Linux mcspd15 2.2.17 #1 Sat Sep 9 12:42:22 EST 2000 i686

Versions of packages perl-5.6 depends on:
ii  libc6                       2.1.96-1     GNU C Library: Shared libraries an
ii  libdb2                      2:2.7.7-2.2  The Berkeley database routines (ru
ii  libgdbmg1                   1.7.3-26.2   GNU dbm database routines (runtime
ii  perl-5.005-base [perl5-base 5.005.03-7.1 The Pathologically Eclectic Rubbis
ii  perl-5.6-base               5.6.0-1      The Pathologically Eclectic Rubbis
ii  perl-5.6-base [perl5-base]  5.6.0-1      The Pathologically Eclectic Rubbis
ii  perl-base                   5.004.05-1.1 Fake package assuring that one of 




Merged 76421 76438. Request was from "Darren/Torin/Who Ever..." <torin@daft.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to "Darren/Torin/Who Ever..." <torin@daft.com>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #12 received at 76438@bugs.debian.org (full text, mbox):

From: "Darren/Torin/Who Ever..." <torin@daft.com>
To: Miles Bader <miles@lsi.nec.co.jp>, Joost Claessen <joost@thor.edu>
Cc: 76438@bugs.debian.org, 76454@bugs.debian.org
Subject: Re: Bug#76454: perl-5.6-base: perl-5.6-base doesn't installs perl as an alternative
Date: 07 Nov 2000 09:44:02 -0800
Joost Claessen, in an immanent manifestation of deity, wrote:
>the postinst file doesn't make the perl alternative  >>>>
>/usr/bin/perl doesn't exist anymore  >>>>
>many neccesarry sciprt for the system break

Quoting from Bug #76432:  (and Wichert Akkerman <wichert@cistron.nl>)

Previously Jean-Philippe Guerard wrote:
> The perl 5.6 upgrade broke the perl alternative. A symlink was left
> in /etc/alternative to perl-5.005, but the symlink in /usr/bin/perl
> was gone.

Install dpkg 1.7.1 from http://incoming.debian.org/ and then reinstall
perl 5.6 (or just rerun its postinst manually), that should fix things.
-- 
<torin@daft.com><http://www.daft.com/~torin/> <torin@debian.org><perl@slut.org>
Darren Stalder/2608 Second Ave, @282/Seattle, WA 98121-1212/USA/+1-206-ELF-LIPZ
@		     Make a little hot-tub in your soul.		      @



Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@cistron.nl>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #17 received at 76438@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@cistron.nl>
To: "Darren/Torin/Who Ever..." <torin@daft.com>, 76438@bugs.debian.org
Cc: Miles Bader <miles@lsi.nec.co.jp>, Joost Claessen <joost@thor.edu>, 76454@bugs.debian.org
Subject: Re: Bug#76438: Bug#76454: perl-5.6-base: perl-5.6-base doesn't installs perl as an alternative
Date: Tue, 7 Nov 2000 22:15:39 +0100
Previously Darren/Torin/Who Ever... wrote:
> Install dpkg 1.7.1 from http://incoming.debian.org/ and then reinstall
> perl 5.6 (or just rerun its postinst manually), that should fix things.

That fixes only part of the problem from what I gather, perl is to
blame for this as well.

Wichert.

-- 
   ________________________________________________________________
 / Generally uninteresting signature - ignore at your convenience  \
| wichert@cistron.nl                  http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to "Darren/Torin/Who Ever..." <torin@daft.com>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #22 received at 76438@bugs.debian.org (full text, mbox):

From: "Darren/Torin/Who Ever..." <torin@daft.com>
To: Wichert Akkerman <wichert@cistron.nl>
Cc: 76438@bugs.debian.org, Miles Bader <miles@lsi.nec.co.jp>, Joost Claessen <joost@thor.edu>, 76454@bugs.debian.org
Subject: Re: Bug#76438: Bug#76454: perl-5.6-base: perl-5.6-base doesn't installs perl as an alternative
Date: 08 Nov 2000 02:20:46 -0800
Wichert Akkerman, in an immanent manifestation of deity, wrote:
>Previously Darren/Torin/Who Ever... wrote:
>> Install dpkg 1.7.1 from http://incoming.debian.org/ and then reinstall
>> perl 5.6 (or just rerun its postinst manually), that should fix things.
>
>That fixes only part of the problem from what I gather, perl is to
>blame for this as well.

Okay.  What's the problem so that I can fix it?

Darren
-- 
<torin@daft.com><http://www.daft.com/~torin/> <torin@debian.org><perl@slut.org>
Darren Stalder/2608 Second Ave, @282/Seattle, WA 98121-1212/USA/+1-206-ELF-LIPZ
@		     Make a little hot-tub in your soul.		      @



Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@cistron.nl>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #27 received at 76438@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@cistron.nl>
To: "Darren/Torin/Who Ever..." <torin@daft.com>
Cc: 76438@bugs.debian.org, Miles Bader <miles@lsi.nec.co.jp>, Joost Claessen <joost@thor.edu>, 76454@bugs.debian.org
Subject: Re: Bug#76438: Bug#76454: perl-5.6-base: perl-5.6-base doesn't installs perl as an alternative
Date: Wed, 8 Nov 2000 11:29:38 +0100
Previously Darren/Torin/Who Ever... wrote:
> Okay.  What's the problem so that I can fix it?

Make sure the alternative isn't set to manual.. maybe call
update-alternatives --auto perl explicitly.

Wichert.

-- 
   ________________________________________________________________
 / Generally uninteresting signature - ignore at your convenience  \
| wichert@cistron.nl                  http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6. Full text and rfc822 format available.

Acknowledgement sent to "Darren/Torin/Who Ever..." <torin@daft.com>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #32 received at 76438@bugs.debian.org (full text, mbox):

From: "Darren/Torin/Who Ever..." <torin@daft.com>
To: Wichert Akkerman <wichert@cistron.nl>
Cc: 76438@bugs.debian.org, Miles Bader <miles@lsi.nec.co.jp>, Joost Claessen <joost@thor.edu>, 76454@bugs.debian.org
Subject: Re: Bug#76438: Bug#76454: perl-5.6-base: perl-5.6-base doesn't installs perl as an alternative
Date: 08 Nov 2000 03:14:35 -0800
Wichert Akkerman, in an immanent manifestation of deity, wrote:
>Previously Darren/Torin/Who Ever... wrote:
>> Okay.  What's the problem so that I can fix it?
>
>Make sure the alternative isn't set to manual.. maybe call
>update-alternatives --auto perl explicitly.

Okay.  I can do that.

I've heard and sometimes seen it happen where manual gets set without
the sys-admin (me) setting it.  How does that happen?

It would be a bit rude if the sys-admin set it manual themselves.  But
then again, when we remove the alternatives altogether, perl 5.6 will be
the only version available as /usr/bin/perl.

Darren
-- 
<torin@daft.com><http://www.daft.com/~torin/> <torin@debian.org><perl@slut.org>
Darren Stalder/2608 Second Ave, @282/Seattle, WA 98121-1212/USA/+1-206-ELF-LIPZ
@		     Make a little hot-tub in your soul.		      @



Bug reassigned from package `perl-5.6' to `perl-5.6-base'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 76421 76432 76438 78723 78832 79238 79694 80143. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Joey Hess <joey@kitenet.net> Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #76421 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to jean-philippe.guerard@mail.dotcom.fr Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to jean-philippe.guerard@mail.dotcom.fr. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to jean-philippe.guerard@mail.dotcom.fr Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Mark Brown <broonie@sirena.org.uk>. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Mark Brown <broonie@sirena.org.uk> Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to PeHaSys@SoftHome.Net. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to PeHaSys@SoftHome.Net Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to karlheg@microsharp.com. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to karlheg@microsharp.com Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Branden Robinson <branden@deadbeast.net>. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #76432 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #78832 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #79238 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #79694 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #78723 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 76432 76438 78723 78832 79238 79694 80143. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Darren Stalder <torin@daft.com>:
Bug#76438; Package perl-5.6-base. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Darren Stalder <torin@daft.com>. Full text and rfc822 format available.

Message #79 received at 76438@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 76438@bugs.debian.org
Subject: better fix
Date: Tue, 26 Dec 2000 22:55:34 -0800
bod and I talked abou my patch, and it is better to do 
update-alternatives [mumble] 2>/dev/null || true
rather than what I had in my patch, since it does not assume
update-alternatives uses perl, and people are thinking about making it a
C program.

-- 
see shy jo



Reply sent to Darren Stalder <torin@daft.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@deadbeast.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 76432-close@bugs.debian.org (full text, mbox):

From: Darren Stalder <torin@daft.com>
To: 76432-close@bugs.debian.org
Subject: Bug#76432: fixed in perl-5.6 5.6.0-6.1
Date: Thu, 28 Dec 2000 14:57:33 -0500
We believe that the bug you reported is fixed in the latest version of
perl-5.6, which has been installed in the Debian FTP archive:

perl-5.6_5.6.0-6.1.dsc
  to pool/main/p/perl-5.6/perl-5.6_5.6.0-6.1.dsc
perl-5.6_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/perl-5.6_5.6.0-6.1_i386.deb
perl-5.6-doc_5.6.0-6.1_all.deb
  to pool/main/p/perl-5.6/perl-5.6-doc_5.6.0-6.1_all.deb
perl-5.6-debug_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/perl-5.6-debug_5.6.0-6.1_i386.deb
perl-5.6_5.6.0-6.1.diff.gz
  to pool/main/p/perl-5.6/perl-5.6_5.6.0-6.1.diff.gz
perl-5.6-thread_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/perl-5.6-thread_5.6.0-6.1_i386.deb
libperl5.6_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/libperl5.6_5.6.0-6.1_i386.deb
perl-5.6-suid_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/perl-5.6-suid_5.6.0-6.1_i386.deb
perl-5.6-base_5.6.0-6.1_i386.deb
  to pool/main/p/perl-5.6/perl-5.6-base_5.6.0-6.1_i386.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 76432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Darren Stalder <torin@daft.com> (supplier of updated perl-5.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 29 Dec 2000 00:55:21 +1100
Source: perl-5.6
Binary: perl-5.6-doc perl-5.6-suid perl-5.6-debug perl-5.6 libperl5.6 perl-5.6-thread perl-5.6-base
Architecture: source i386 all
Version: 5.6.0-6.1
Distribution: unstable
Urgency: low
Maintainer: Darren Stalder <torin@daft.com>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 libperl5.6 - Shared Perl library
 perl-5.6   - Larry Wall's Practical Extracting and Report Language.
 perl-5.6-base - The Pathologically Eclectic Rubbish Lister
 perl-5.6-debug - View internals of Perl and debug Perl itself.
 perl-5.6-doc - Man pages and pod docs for Perl
 perl-5.6-suid - Runs setuid Perl scripts.
 perl-5.6-thread - Experimental Perl binary with threading enabled
Closes: 76432 77384 78742 79075 79234 79728
Changes: 
 perl-5.6 (5.6.0-6.1) unstable; urgency=low
 .
   * NMU
   * Ensure that a valid /usr/bin/perl exists before each instance of
     "update-alternatives --remove" in perl-5.6-base.postinst, as any
     of these may possibly blow away the symlink.  (Closes: #76432).
 .
   * If an alternative existed for perl.1p.gz before installation, the
     file of that name in this package was removed in the postinst
     update-alternatives.  The same goes for cperl-mode.el.  Install
     versioned files and manually link like the rest of the
     alternatives mess.  (Closes:  #78742, #79728).
 .
     Note that both of these changes to alternative handling are merely
     stop-gap measures.  The situation still remains that installing
     perl-5.004 or 5.005 after 5.6 has been installed will play merry
     havoc with the symlinks again and stands a good chance of nuking
     /usr/bin/perl if subsequently removed.
 .
   * make.versions:  rename rather than copying files so that we don't
     ship two copies of each binary in the .deb (linked to canonical
     name in postinst).
 .
   * Move warnings::register to -base.  (Closes: #79075, #79234).
   * Move autosplit.ix for File::Glob to -base.  (Closes: #77384)
   * Move load_imports.al for POSIX to -base.
   * Move IO.pm to -base.
   * Move dangling libperl.so symlink to libperl5.6.
Files: 
 a9eb003c36d6fcf366b0766400d7ebfc 742 interpreters required perl-5.6_5.6.0-6.1.dsc
 ca9198ae418f5c1bd5a45878a439dffb 106100 interpreters required perl-5.6_5.6.0-6.1.diff.gz
 ca8aeaa5a71932ff65cb5c5361f0970c 2767868 interpreters important perl-5.6_5.6.0-6.1_i386.deb
 065f7ee681e4aaf3897f03b35b559953 575286 base required perl-5.6-base_5.6.0-6.1_i386.deb
 874221fce84a64796a1a15125300181c 336970 libs optional libperl5.6_5.6.0-6.1_i386.deb
 0814eb3dc9c469df4a9a399845d2f089 328732 interpreters optional perl-5.6-suid_5.6.0-6.1_i386.deb
 03bac80751bffd78c51b72bc00ab2307 1972756 interpreters extra perl-5.6-debug_5.6.0-6.1_i386.deb
 e2f74be66393815c6ade07113be004fa 3876424 interpreters standard perl-5.6-doc_5.6.0-6.1_all.deb
 0a0e5c1e2567c5a5e32965511a87f612 1882604 interpreters extra perl-5.6-thread_5.6.0-6.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6S1RLe7iP96nkr/IRAuBwAKDRrLV6j/r2WC02eTRVcLoad41ZBACgkAVB
lHrjDwIl/G+3PluzSBzR+FQ=
=Fbab
-----END PGP SIGNATURE-----



Severity set to `critical'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `critical'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `critical'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `critical'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `perl-5.6-base' to `perl-5.6-base'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `perl-5.6-base' to `perl-5.6-base'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 76432 76438 78723 78832 79238 79694 80143. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 76432 76438 78723 78832 79238 79694 80143 85021. Request was from Brendan O'Dea <bod@compusol.com.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@deadbeast.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #107 received at 76432-done@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 76432-done@bugs.debian.org
Subject: Re: #76432 the perl-5.6 upgrade broke all perl-dependent system utilities
Date: Mon, 19 Feb 2001 04:33:28 +1100
On Sun, Feb 18, 2001 at 11:18:07AM -0600, Debian Bug Tracking System wrote:
>Package: perl-5.6-base
>Version: 5.6.0-1
>Severity: critical
>
>The perl 5.6 upgrade broke the perl alternative. A symlink was left
>in /etc/alternative to perl-5.005, but the symlink in /usr/bin/perl
>was gone.
>
>As a result, all subsquent postinst scripts using perl utilities
>(suidregister, update-alternative, etc.) failed.
>
>Restoring the /usr/bin/perl symlink fixed the situation.

This was corrected in the 5.6.0-6.2 packages.

Regards,
-- 
Brendan O'Dea                                        bod@compusol.com.au
Compusol Pty. Limited                  (NSW, Australia)  +61 2 9810 3633



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:06:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.